package cn.gintone;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

public class ErrorInfo {
    public static ErrorCode MY_TABLE_NOT_EXISTS = new ErrorCode(1, "我的测试表不存在");
    public static ErrorCode KEY_CODE_NOT_EXISTS = new ErrorCode(2, "公钥私钥管理不存在");
    public static ErrorCode VISIT_NOT_EXISTS = new ErrorCode(3, "接口安全访问策略不存在");
    public static ErrorCode VISIT_INFO_NOT_EXISTS = new ErrorCode(4, "访问规则配置不存在");
    public static ErrorCode USER_DES_RULE_NOT_EXISTS = new ErrorCode(5, "人员脱敏规则不存在");
    public static ErrorCode DES_CORPORATION_NOT_EXISTS = new ErrorCode(6, "法人脱敏不存在");
    public static ErrorCode IMPORTANT_FILE_NOT_EXISTS = new ErrorCode(7, "重要文件不存在");
    public static ErrorCode CONNET_RULE_NOT_EXISTS = new ErrorCode(8, "设备连接规则不存在");
    public static ErrorCode CONNET_RULE_INFO_NOT_EXISTS = new ErrorCode(9, "设备规则配置细则不存在");
    public static ErrorCode SYS_ABBRE_NOT_EXISTS = new ErrorCode(10, "系统简称不存在");
    public static ErrorCode WEB_REQ_CONF_NOT_EXISTS = new ErrorCode(11, "web请求配置不存在");

    public static ErrorCode WEB_REQ_CONF_EXITS_CHILDREN = new ErrorCode(12, "存在存在子web请求配置，无法删除");
    public static ErrorCode WEB_REQ_CONF_PARENT_NOT_EXITS = new ErrorCode(13,"父级web请求配置不存在");
    public static ErrorCode WEB_REQ_CONF_PARENT_ERROR = new ErrorCode(14, "不能设置自己为父web请求配置");
    public static ErrorCode WEB_REQ_CONF_API_NAME_DUPLICATE = new ErrorCode(15, "已经存在该api名称的web请求配置");
    public static ErrorCode WEB_REQ_CONF_PARENT_IS_CHILD = new ErrorCode(16, "不能设置自己的子WebReqConf为父WebReqConf");


    public static ErrorCode DEVICE_REQ_CONF_NOT_EXISTS = new ErrorCode(17, "物联网设备请求配置不存在");
    public static ErrorCode DEVICE_REQ_CONF_EXITS_CHILDREN = new ErrorCode(18, "存在存在子物联网设备请求配置，无法删除");
    public static ErrorCode DEVICE_REQ_CONF_PARENT_NOT_EXITS = new ErrorCode(19,"父级物联网设备请求配置不存在");
    public static ErrorCode DEVICE_REQ_CONF_PARENT_ERROR = new ErrorCode(20, "不能设置自己为父物联网设备请求配置");
    public static ErrorCode DEVICE_REQ_CONF_DEVICE_NAME_DUPLICATE = new ErrorCode(21, "已经存在该设备名称的物联网设备请求配置");
    public static ErrorCode DEVICE_REQ_CONF_PARENT_IS_CHILD = new ErrorCode(22, "不能设置自己的子DeviceReqConf为父DeviceReqConf");

    public static ErrorCode PT_DEPT_INFO_NOT_EXISTS = new ErrorCode(23, "平台部门不存在");
    public static ErrorCode PT_USER_INFO_NOT_EXISTS = new ErrorCode(24, "平台用户不存在");
    public static ErrorCode DEVICE_TYPE_NOT_EXISTS = new ErrorCode(25, "设备类型不存在");
}
